Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction
Class HeuristicCommitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.HeuristicCommitException

All Implemented Interfaces:
  Serializable

public class HeuristicCommitException
extends Exception

This exception is meant to be thrown by the rollback operation on a resource to report that a heuristic decision was made and that all relevant updates have been committed.

But though defined in JTA this exception is used nowhere in JTA, and it seems impossible to report a heuristic commit decision with the JTA API in a portable way.

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Constructor Summary
`HeuristicCommitException()` Creates a new `HeuristicMixedException` without a detail message.
`HeuristicCommitException(String msg)` Constructs an `HeuristicCommitException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeuristicCommitException

    public HeuristicCommitException()

  Creates a new `HeuristicMixedException` without a detail message.

### HeuristicCommitException

    public HeuristicCommitException(String msg)

  Constructs an `HeuristicCommitException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.